/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: WETimeField.m,v 1.2 2003/07/11 17:12:51 jan Exp $

#include "WECalendarField.h"

/*
  required resources:

  downstairs.gif
  
*/

@interface WETimeField : WECalendarField
{
}
@end

@implementation WETimeField

- (void)takeValuesFromRequest:(WORequest *)_request
                    inContext:(WOContext *)_ctx
{
  [self _takeValuesFromTimeFieldRequest:_request inContext:_ctx];
}

- (id)invokeActionForRequest:(WORequest *)_request
                   inContext:(WOContext *)_ctx
{
  return [self _invokeActionForTimeFieldRequest:_request inContext:_ctx];
}

- (void)appendToResponse:(WOResponse *)_response inContext:(WOContext *)_ctx {
  [self _appendTimeFieldToResponse:_response inContext:_ctx];
}

@end /* WETimeField */
