# $Id: common.make,v 1.1.1.1 2003/07/09 22:57:26 cvs Exp $

include $(GNUSTEP_MAKEFILES)/common.make
include ../Version
-include ./Version

GNUSTEP_INSTALLATION_DIR = $(GNUSTEP_LOCAL_ROOT)

ADDITIONAL_CPPFLAGS += -pipe -Wall -Wno-protocol

ADDITIONAL_INCLUDE_DIRS += -I..

ADDITIONAL_LIB_DIRS += \
        -L./$(GNUSTEP_OBJ_DIR)			\
	-L../NGObjWeb/$(GNUSTEP_OBJ_DIR)	\

AUTODOC_COPYRIGHT = "SKYRIX Software AG"
AUTODOC_SxVERSION = "4.2"
AUTODOC_TEMPLATE  = "../../Documentation/AutoDocTemplate.html"
AUTODOC_DESTPATH  = "../../Documentation/SOPE/"

AUTODOC_FLAGS     = \
	-copyright $(AUTODOC_COPYRIGHT)	\
	-format html			\
	-typedirs			\
	-copydocs			\
	-tree				\
	-allclasses			\
	-define-SxVersion $(AUTODOC_SxVERSION) \
	-template $(AUTODOC_TEMPLATE)

ifeq ($(FOUNDATION_LIB),nx)
ADDITIONAL_LDFLAGS += -framework Foundation
endif
