/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: common.h,v 1.3 2003/11/30 23:38:06 helge Exp $

#ifndef __Skyrix_common_H__
#define __Skyrix_common_H__

#import <Foundation/Foundation.h>
#import <Foundation/NSDateFormatter.h>

#include <GDLAccess/GDLAccess.h>
#include <GDLExtensions/GDLExtensions.h>

#include <NGExtensions/NGExtensions.h>
#include <NGStreams/NGStreams.h>
#include <NGStreams/NGNet.h>
#include <NGMime/NGMime.h>

#include <NGObjWeb/NGObjWeb.h>
#include <NGObjWeb/WODirectAction.h>
#include <WEExtensions/WEClientCapabilities.h>

#include <LSFoundation/LSFoundation.h>
#include <OGoFoundation/OGoFoundation.h>

#endif /* __Skyrix_common_H__ */
