/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: common.h,v 1.3 2003/07/25 11:24:03 jan Exp $

#ifndef __LSWebInterface_LSWProject_common_H__
#define __LSWebInterface_LSWProject_common_H__

#import <Foundation/Foundation.h>
#import <NGExtensions/NGExtensions.h>
#import <NGStreams/NGStreams.h>

#import <EOControl/EOControl.h>
#import <GDLAccess/GDLAccess.h>
#import <GDLExtensions/GDLExtensions.h>

#import <NGMime/NGMime.h>
#import <NGHttp/NGHttp.h>
#import <NGObjWeb/NGObjWeb.h>

#include <LSFoundation/LSFoundation.h>
#include <OGoFoundation/OGoFoundation.h>
#include <OGoDatabaseProject/SkyDocumentDataSource.h>
#include <OGoProject/SkyFileManagerFactory.h>
#include <OGoProject/SkyProjectDataSource.h>

#define LSJobCreated    @"00_created"
#define LSJobAccepted   @"05_accepted"
#define LSJobCommented  @"10_commented"
#define LSJobDivided    @"15_divided"
#define LSJobProcessing @"20_processing"
#define LSJobDone       @"25_done"
#define LSJobArchived   @"30_archived"
#define LSJobReactivate @"27_reactivated"
#define LSJobRejected   @"02_rejected"

#endif /* __LSWebInterface_LSWProject_common_H__ */
