# $Id: rules.mk,v 1.2 2003/07/30 09:30:08 helge Exp $

# Why not use a gstep-make aggregate.make? Because xml must be installed
# before core can be built and core must be installed before sope can be
# built.

SOPE-all : skyrixsope-install

SOPE-install : skyrixsope-install

SOPE-clean : skyrixxml-clean skyrixcore-clean skyrixsope-clean

SOPE-distclean : skyrixxml-distclean skyrixcore-distclean skyrixsope-distclean

# skyrix-xml

skyrixxml-all :
	(cd $(SOPEDIR)/skyrix-xml && $(MAKE) all)

skyrixxml-install :
	(cd $(SOPEDIR)/skyrix-xml && $(MAKE) install)

skyrixxml-clean :
	(cd $(SOPEDIR)/skyrix-xml && $(MAKE) clean)

skyrixxml-distclean :
	(cd $(SOPEDIR)/skyrix-xml && $(MAKE) distclean)

# skyrix-core

skyrixcore-all : skyrixxml-install
	(cd $(SOPEDIR)/skyrix-core && $(MAKE) all)

skyrixcore-install : skyrixxml-install
	(cd $(SOPEDIR)/skyrix-core && $(MAKE) install)

skyrixcore-clean :
	(cd $(SOPEDIR)/skyrix-core && $(MAKE) clean)

skyrixcore-distclean :
	(cd $(SOPEDIR)/skyrix-core && $(MAKE) distclean)

# skyrix-sope

skyrixsope-all : skyrixcore-install
	(cd $(SOPEDIR)/skyrix-sope && $(MAKE) all)

skyrixsope-install : skyrixcore-install
	(cd $(SOPEDIR)/skyrix-sope && $(MAKE) install)

skyrixsope-clean :
	(cd $(SOPEDIR)/skyrix-sope && $(MAKE) clean)

skyrixsope-distclean :
	(cd $(SOPEDIR)/skyrix-sope && $(MAKE) distclean)
