# $Id: common.make,v 1.2 2003/11/29 23:29:30 helge Exp $

SKYROOT=..

include $(GNUSTEP_MAKEFILES)/common.make
include $(SKYROOT)/Version
-include ./Version

GNUSTEP_INSTALLATION_DIR = $(GNUSTEP_LOCAL_ROOT)

ADDITIONAL_CPPFLAGS += -pipe -Wall -Wno-protocol
ifeq ($(reentrant),yes)
ADDITIONAL_CPPFLAGS += -D_REENTRANT=1
endif

ADDITIONAL_INCLUDE_DIRS += \
	-I.. -I../NGStreams/	\
	-I../../skyrix-xml

ADDITIONAL_LIB_DIRS += \
        -L./$(GNUSTEP_OBJ_DIR)			\
	-L../NGMime/$(GNUSTEP_OBJ_DIR)		\
	-L../NGStreams/$(GNUSTEP_OBJ_DIR)	\
	-L../NGLdap/$(GNUSTEP_OBJ_DIR)		\
	-L../NGExtensions/$(GNUSTEP_OBJ_DIR)	\
	-L../EOControl/$(GNUSTEP_OBJ_DIR)	\
	\
	-L../../skyrix-xml/SaxObjC/$(GNUSTEP_OBJ_DIR)	\
	-L../../skyrix-xml/DOM/$(GNUSTEP_OBJ_DIR)	\
	-L../../skyrix-xml/XmlRpc/$(GNUSTEP_OBJ_DIR)

AUTODOC_COPYRIGHT = "SKYRIX Software AG"
AUTODOC_SxVERSION = "4.2"
AUTODOC_TEMPLATE  = "../Documentation/AutoDocTemplate.html"

AUTODOC_FLAGS     = \
	-copyright $(AUTODOC_COPYRIGHT)	\
	-format html			\
	-typedirs			\
	-copydocs			\
	-tree				\
	-allclasses			\
	-define-SxVersion $(AUTODOC_SxVERSION) \
	-template $(AUTODOC_TEMPLATE)

ifeq ($(FOUNDATION_LIB),nx)
ADDITIONAL_LDFLAGS += -framework Foundation
endif
