/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: LSWImapMailFilterEditor.h,v 1.4 2003/11/10 16:12:22 jan Exp $

#ifndef __LSWebInterface_LSWImapMail_LSWImapMailFilterEditor_H__
#define __LSWebInterface_LSWImapMail_LSWImapMailFilterEditor_H__

#import <OGoFoundation/LSWContentPage.h>


@class NSMutableArray, NSMutableDictionary, NSArray, NSString, NGImap4Folder;

@interface LSWImapMailFilterEditor : LSWContentPage
{
@protected
  NSMutableArray      *filters;
  NSMutableDictionary *folders;
  NSMutableDictionary *filter;
  NSMutableDictionary *entry;
  NSMutableArray      *filterPos;
  NSMutableArray      *allFilters;
  NSArray             *matchList;
  NSString            *password;
  NGImap4Folder       *rootFolder;
  
  id item;
  id folder;
  int  index;
  int  oldFilterPos;
  BOOL isInNewMode;

  enum {
    Action_Move,
    Action_Forward
  } action;
}

@end

#endif /* __LSWebInterface_LSWImapMail_LSWImapMailFilterEditor_H__ */
