// $Id: OGoProjectAction.m,v 1.2 2003/11/30 23:07:27 helge Exp $

#include <NGObjWeb/WODirectAction.h>

@interface OGoProjectAction : WODirectAction
{
}

@end

#include "common.h"
#include <NGMime/NGMimeType.h>

@implementation OGoProjectAction

static NGMimeType *eoProjectType = nil;

+ (void)initialize {
  eoProjectType = [[NGMimeType mimeType:@"eo" subType:@"project"] retain];
}

- (void)dealloc {
  [super dealloc];
}

/* accessors */

- (OGoNavigation *)navigation {
  return [[self existingSession] navigation];
}

/* actions */

- (id)newAction {
  return [[self session] instantiateComponentForCommand:@"new" 
			 type:eoProjectType];
}

- (id)error {
  NSString *error;
  id page;
  
  page = [[self navigation] activePage];
  if ((error = [[self request] formValueForKey:@"error"]))
    [page takeValue:error forKey:@"errorString"];
  return page;
}

@end /* OGoProjectAction */
