/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: common.h,v 1.4 2003/07/29 15:57:49 helge Exp $

#ifndef __SkyProject4_common_H__
#define __SkyProject4_common_H__

#import <Foundation/Foundation.h>
#import <EOControl/EOControl.h>
#include <NGObjWeb/NGObjWeb.h>

#include <NGExtensions/EODataSource+NGExtensions.h>
#include <NGExtensions/NSFileManager+Extensions.h>
#include <NGExtensions/NGFileFolderInfoDataSource.h>
#include <NGExtensions/NSNull+misc.h>

#include <WEExtensions/WEClientCapabilities.h>

#include <LSFoundation/LSCommandContext.h>
#include <OGoFoundation/OGoFoundation.h>
#include <OGoFoundation/LSWSession.h>
#include <OGoFoundation/LSWNavigation.h>

#endif /* __SkyProject4_common_H__ */
