# $Id: common.make,v 1.4 2004/05/09 18:07:34 helge Exp $

include $(GNUSTEP_MAKEFILES)/common.make

WOBUNDLE_EXTENSION   = .lso
WOBUNDLE_INSTALL_DIR = $(GNUSTEP_LOCAL_ROOT)/Library/OpenGroupware.org

ADDITIONAL_INCLUDE_DIRS += 		\
	-I.. -I../..			\
	-I../../../Logic/LSFoundation	\
	-I../../../DocumentAPI		\

ADDITIONAL_LIB_DIRS     += 					\
	-L../../OGoFoundation/$(GNUSTEP_OBJ_DIR)		\
	-L../../../Logic/LSFoundation/$(GNUSTEP_OBJ_DIR)	\

ADDITIONAL_BUNDLE_LIBS += 	\
	-lOGoFoundation -lOGoDocuments \
	-lLSFoundation		\
	-lGDLAccess		\
	-lNGObjWeb -lNGScripting\
	-lNGLdap -lNGMime -lNGStreams -lNGExtensions -lEOControl \
	-lXmlRpc -lDOM -lSaxObjC

ADDITIONAL_WOBUNDLE_LIBS += $(ADDITIONAL_BUNDLE_LIBS)

ADDITIONAL_CPPFLAGS += -Wno-protocol -Wall

ifeq ($(GNUSTEP_TARGET_OS),mingw32)
LSWAddress_BUNDLE_LIBS += \
	-lNGMime \
	-lNGStreams -lNGExtensions -lEOControl \
	-lFoundation -lobjc
endif

ifeq ($(FOUNDATION_LIB),nx)
BUNDLE_LIBS += -lFoundationExt
ADDITIONAL_LDFLAGS += -framework Foundation
endif
