/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: common.h,v 1.1 2003/09/30 13:47:18 jan Exp $

#ifndef __skyxmlrpcd_common_H__
#define __skyxmlrpcd_common_H__


#include <Foundation/Foundation.h>

#include <NGStreams/NGStreams.h>
#include <NGExtensions/NGExtensions.h>
#include <NGMime/NGMime.h>
#include <NGHttp/NGHttp.h>
#include <NGObjWeb/NGObjWeb.h>
#include <DOM/DOM.h>

#include <EOControl/EOControl.h>
#include <GDLAccess/GDLAccess.h>

#include <LSFoundation/LSFoundation.h>
#include <LSFoundation/OGoContextManager.h>

#include <OGoDocuments/SkyDocumentManager.h>
#include <OGoBase/LSCommandContext+Doc.h>
#include <OGoProject/SkyProjectDataSource.h>
#include <OGoDatabaseProject/SkyProjectFileManager.h>

#endif /* __skyxmlrpcd_common_H__ */
