// $Id: OGoCalView.h,v 1.1 2003/11/24 01:24:40 helge Exp $

#ifndef __ZideStoreUI_OGoCalView_H__
#define __ZideStoreUI_OGoCalView_H__

#include <NGObjWeb/SoComponent.h>

@class NSArray, NSCalendarDate;
@class SxAptManager, SxAptSetIdentifier;

@interface OGoCalView : SoComponent
{
  NSArray *appointments;
  id      appointment;
}

/* accessors */

- (NSArray *)appointments;
- (id)appointment;
- (NSString *)appointmentViewURL;

/* backend */

- (SxAptManager *)aptManager;
- (SxAptSetIdentifier *)aptSetID;

/* fetching */

- (NSCalendarDate *)startDate;
- (NSCalendarDate *)endDate;
- (NSArray *)fetchGIDs;
- (NSArray *)fetchCoreInfos;

@end

#endif /* __ZideStoreUI_OGoCalView_H__ */
